# H225_RasUsageInfoTypes Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RasUsageInfoTypes:

List of all members.

## Public Types

enum | OptionalFields { e_startTime, e_endTime, e_terminationCause }

## Public Member Functions

| H225_RasUsageInfoTypes (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ArrayOf_NonStandardParameter | m_nonStandardUsageTypes
PASN_Null | m_startTime
PASN_Null | m_endTime
PASN_Null | m_terminationCause

## Member Enumeration Documentation

enum H225_RasUsageInfoTypes::OptionalFields

Enumerator:

  e_startTime |
  e_endTime |
  e_terminationCause |

## Constructor & Destructor Documentation

H225_RasUsageInfoTypes::H225_RasUsageInfoTypes | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RasUsageInfoTypes::GetDataLength | ( |  | ) | const

PBoolean H225_RasUsageInfoTypes::Decode | ( | PASN_Stream & | strm | ) |

void H225_RasUsageInfoTypes::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RasUsageInfoTypes::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RasUsageInfoTypes::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RasUsageInfoTypes::Clone | ( |  | ) | const

## Member Data Documentation

H225_ArrayOf_NonStandardParameter H225_RasUsageInfoTypes::m_nonStandardUsageTypes

PASN_Null H225_RasUsageInfoTypes::m_startTime

PASN_Null H225_RasUsageInfoTypes::m_endTime

PASN_Null H225_RasUsageInfoTypes::m_terminationCause

The documentation for this class was generated from the following file:

- h225.h